View Issue Details

IDProjectCategoryView StatusLast Update
0003230ScribusImport / Exportpublic2006-02-20 10:12
Reportercbradney Assigned Tocbradney  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.3cvs 
Fixed in Version1.3.3cvs 
Summary0003230: Master page import and deletion issues
DescriptionHi,

I've a crash problem trying to delete and import master pages.
Version: 1.3.3 cvs (30 january).
My master page includes the issue of the newspaper and its week.
There are many documents for 1 issue (because we're a few working on
different pages).
So I'd like to change the master pages (TigrepgeDr and TigreopgeGa) in 1
document and then import it in the others.

When I'm trying this, many problems:
- if I delete the old master page and try to come back in document,
crash (no information in console except signal 0000011)
- if I import the new master page without deleting the old, it import it
with "copy of" in the name, BUT put all the elements of the master page
ON the old master page.

The only solution I have now is to delete the elements of the old master
page, and then import the new one, which will put the new elements on
the old master page AND create a "copy of" which is empty.
BUT I can't delete that copy. If I try: it delete the other one, and
then if I try to close the window: crash.

So for the moment, the better way is to copy/paste the new master page
in the old one - which make the function "import" totally unuseful.

Have you got any ideas about that? Do you feel it's a bug?

Thanks
Raphael
TagsNo tags attached.
Patch

Relationships

child of 0003837 acknowledged Metabug: Master pages/Page templates 

Activities

cbradney

2006-02-19 21:37

administrator   ~0008814

Importing from another file with page name is broken by a must have fix I am committing now.

cbradney

2006-02-19 23:31

administrator   ~0008817

Should be ok now.

Issue History

Date Modified Username Field Change
2006-02-12 13:13 cbradney New Issue
2006-02-12 13:13 cbradney Status new => assigned
2006-02-12 13:13 cbradney Assigned To => cbradney
2006-02-12 13:31 cbradney Summary Master page import and deleteion issues => Master page import and deletion issues
2006-02-12 21:26 cbradney Status assigned => resolved
2006-02-12 21:26 cbradney Fixed in Version => 1.3.3cvs
2006-02-12 21:26 cbradney Resolution open => fixed
2006-02-12 21:27 cbradney View Status private => public
2006-02-19 19:39 cbradney Status resolved => closed
2006-02-19 21:37 cbradney Status closed => feedback
2006-02-19 21:37 cbradney Resolution fixed => reopened
2006-02-19 21:37 cbradney Note Added: 0008814
2006-02-19 23:31 cbradney Status feedback => resolved
2006-02-19 23:31 cbradney Resolution reopened => fixed
2006-02-19 23:31 cbradney Note Added: 0008817
2006-02-20 10:12 cbradney Status resolved => closed
2006-05-18 18:35 christoph_s Relationship added child of 0003837